Bug 121233 - "sudo tail -f <somefile>" can't be stopped or interrupted with Ctrl+Z/Ctrl+C
Summary: "sudo tail -f <somefile>" can't be stopped or interrupted with Ctrl+Z/Ctrl+C
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sudo   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-19 15:32 UTC by Nils Philippsen
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-05 10:57:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nils Philippsen 2004-04-19 15:32:16 UTC
Description of problem:

SSIA

Version-Release number of selected component (if applicable):

sudo-1.6.7p5-25
coreutils-5.2.1-5

How reproducible:

Always

Steps to Reproduce:
1. "sudo tail -f /var/log/messages"
2. if necessary, type in password
3. try to interrupt with Ctrl+C or to stop with Ctrl+Z

Actual results:

Nothing happens

Expected results:

process stops or gets interrupted

Additional info:

all this is run from bash

Comment 1 Nils Philippsen 2004-04-20 12:47:23 UTC
When running from a sudo'ed root shell ("sudo su -"), Ctrl+Z works as
expected, but Ctrl-C doesn't interrupt the process.

Comment 2 Daniel Walsh 2004-04-21 11:12:36 UTC
Fixed in sudo-1.6.7p5-26


Note You need to log in before you can comment on or make changes to this bug.